<template>
<div class="modal inmodal" id="company_sub_account_modal">
    <div class="modal-dialog">
        <div class="modal-content animated fadeIn">
            <div class="ibox-title">
                <h5>Company Sub Account Form</h5>
            </div>
            <!-- /.ibox-title -->

            <div class="ibox-content" v-bind:class="{ 'sk-loading': modal.pause }">
                <div class="sk-spinner sk-spinner-wave">
                    <div class="sk-rect1"></div>
                    <div class="sk-rect2"></div>
                    <div class="sk-rect3"></div>
                    <div class="sk-rect4"></div>
                    <div class="sk-rect5"></div>
                </div>

                <div class="row">
                    <input type="hidden"  v-model="modal.data.id">
                    <div class="col-sm-12 col-md-12 col-lg-12"
                            v-bind:class="{ 'has-error': modal.errors.code  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Code : </label>
                            <input class="form-control"  v-model="modal.data.code">

                            <div v-if="modal.errors.code">
                                <span class="help-block" v-for="error in modal.errors.code" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-12 col-lg-12"
                            v-bind:class="{ 'has-error': modal.errors.description }"
                    >
                        <div class="form-group" id="error_contact_person">
                            <label for="contact_person">Description : </label> 
                            <input class="form-control"  v-model="modal.data.description">
                            
                            <div v-if="modal.errors.description">
                                <span class="help-block" v-for="error in modal.errors.description" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-12 col-lg-12"
                            v-bind:class="{ 'has-error': modal.errors.company_account }"
                    >
                        <div class="form-group" id="error_contact_person">
                            <label for="contact_person">Company Account : </label>
                            <!-- SELECT -->
                            <select class="form-control"
                                    v-model="modal.data.company_account" 
                            >   
                                <option value="">Select one...</option>
                                <option  v-for="company_account in modal.company_accounts" 
                                        :key="company_account.id" 
                                        :value="company_account.id"
                                >{{ company_account.code }}</option>
                            </select>
                            <!-- SELECT -->
                            <div v-if="modal.errors.company_account">
                                <span class="help-block" v-for="error in modal.errors.company_account" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.ibox-content -->
            <div class="ibox-footer">
              <div class="pull-right">
                <button type="button" class="btn btn-white btn-sm " data-dismiss="modal">
                  Close
                </button>

                <button @click="save()" 
                        :disable="modal.pause" 
                        class="btn btn-flat btn-primary btn-sm"> 
                  Save
                </button>
              </div>
              <div>&nbsp;<br>&nbsp;</div>
            </div>
            <!-- /.ibox-footer -->
        </div>
        <!-- /.modal-content animated flipInY -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal inmodal -->

</template>

<script>
export default {
    props: [
        'modal'
    ],
    methods: {
        save() {
            this.$emit('save', this.modal.data)
        }
    },
    created () {
        window.console.log( this.modal.company_accounts )
    }
}
</script>
